// Author: Juan Carlos De Abreu (jcabreur@gmail.com)
//
// This file define a class inherent from Control that allow put a Text in a
// window.

#ifndef GUI_TEXT_H__
#define GUI_TEXT_H__

#include "../global.h"
#include "../util/string.h"
#include "control.h"

BEGIN_TEG_NAMESPACE();
BEGIN_NAMESPACE(gui);

class Text : public Control {
 public:
  // Text constructor and destructor.
  Text(int x, int y, const std::tstring& caption);
  ~Text();

  // Method to render the Text.
  virtual void Render() const;

 private:
  // Text attibutes, text contained.
  std::tstring caption_;
};

END_NAMESPACE(gui);
END_TEG_NAMESPACE();

#endif  // GUI_TEXT_H__

